Home

# Class goog.ui.equation.Palette

Constructs a new palette.

extends goog.ui.Palette

Instance Method Summary
| `getAction(number index) ⇒ ?string` Returns the action for a given index.
| `getActions() ⇒ ?Array.<string>` Returns actions for this palette.
| `getPaletteManager() ⇒ ?goog.ui.equation.PaletteManager` Returns the palette manager.
| `getType() ⇒ ?goog.ui.equation.Palette.Type` Returns the type of the palette.
| `handleMouseOut(?goog.events.BrowserEvent e)` Handles mouse out events. Overrides {@link goog.ui.Palette#handleMouseOut} by deactivate the palette.
| `handleMouseOver(?goog.events.BrowserEvent e)` Handles mouse over events. Overrides {@link goog.ui.Palette#handleMouseOver} by stop deactivating the palette. When mouse leaves the palettes, the palettes will be deactivated after a centain period of time. Reentering the palettes inside this time will stop the timer and cancel the deactivation.
| `handleMouseUp(?goog.events.Event e)` Handles mouseup events. Overrides {@link goog.ui.Palette#handleMouseUp} by dispatching a {@link goog.ui.equation.PaletteEvent}.